import { a4 as e, aa as t, w as o, d1 as b, bX as l, ad as d, ae as r, af as n, ak as g, X as i } from "./56c67d3b.js";
import "react";
import "react-dom";
const s = [{
  label: e("badge.SizeDefault"),
  value: "default"
}, {
  label: e("badge.SizeSmall"),
  value: "small"
}], p = [{
  label: e("badge.number"),
  value: "number"
}, {
  label: e("badge.dot"),
  value: "dot"
}], C = {
  badgeType: t(p, "number"),
  badgeCount: o(b("badgeCount"), "0"),
  badgeSize: t(s, "default"),
  showZero: l,
  overflowCount: o(g, 99),
  badgeTitle: o(i, "")
}, y = (a) => /* @__PURE__ */ d(r, {
  name: n.advanced,
  children: [a.badgeType.propertyView({
    label: e("badge.Type"),
    radioButton: !0
  }), a.badgeCount.propertyView({
    label: e("badge.Count")
  }), a.badgeType.getView() === "number" && a.overflowCount.propertyView({
    label: e("badge.overflowCount")
  }), a.badgeType.getView() === "number" && a.badgeSize.propertyView({
    label: e("badge.Size")
  }), a.badgeTitle.propertyView({
    label: e("badge.Title")
  })]
});
export {
  y as BadgeBasicSection,
  C as badgeChildren
};
